Page MenuHomePhabricator

Request mw.wikibase to be enabled for thwikt
Closed, ResolvedPublic

Description

I must request mw.wikibase to be enabled for Thai Wiktionary. It is needed to run Lua modules derived from English Wiktionary. The current status is mw.wikibase = nil and unusable. (Could it be turned on every Wiktionary by default?)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 22 2018, 12:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Octahedron80 triaged this task as Medium priority.Feb 22 2018, 12:41 AM
Octahedron80 updated the task description. (Show Details)

PS mw.wikibase is a part of the Extension:Wikibase Client.

I believe what you want to be enabled is what we call arbitrary access. To confirm can you please link to a page on English Wiktionary that has what you want to replicate?

Octahedron80 added a comment.EditedFeb 24 2018, 1:28 PM

Module:languages

Data to be used are already from Category:Language data modules

There are modules in the same names at thwikt.

Framawiki added a subscriber: Framawiki.

Per https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes, please provide us a link to a community consensus, thanks !

Ok it seems like this is about arbitrary access indeed then. Thank you!
As @Framawiki said it'd be great if you could point to a community discussion for it.

Octahedron80 added a comment.EditedFeb 28 2018, 12:20 AM

There is no discussion at thwikt yet. But there is a discussion at enwikt about big changes in data structure last week that applies the extension mw.wikibase on every page. https://en.wiktionary.org/wiki/Wiktionary:Grease_pit/2018/February#light_and_Lua_error:_not_enough_memory And then thwikt follow it. Current status at thwikt is to modify enwikt's source code that directly links to the Wikidata's "Q" page instead of its sitelink (AKA the relevant Wikipedia's article which should be more useful for readers).

Octahedron80 lowered the priority of this task from Medium to Low.Feb 28 2018, 4:46 AM

@Octahedron80 This should work now as the father task T175273 is resolved now.

hoo closed this task as Resolved.Dec 5 2018, 2:10 PM
hoo claimed this task.
hoo added a subscriber: hoo.

Resolved with T175273#4800204.